Skip to content

Game data

Get a gift

GET
https://ba.joexyz.online/api/v1/gifts/:id

Gets one gift, including its descriptions.

Parameters

  • id (path): The gift's numeric id.

Authentication

No authentication required.

Path parameters

NameValue
id5105
curl https://ba.joexyz.online/api/v1/gifts/5105
Response
{
  "data": {
    "id": 5105,
    "name": "Airbook Rare",
    "nameJP": "エイ~ブックレア",
    "rarity": "SSR",
    "expValue": 60,
    "iconName": "item_icon_favor_lv2_5",
    "isLovedByEveryone": false,
    "adoredBy": [],
    "lovedBy": [],
    "likedBy": [],
    "description": "A trendy laptop product that's one of the students' top three most-wanted items of the year. The expensive price tag doesn't seem to stop anyone.",
    "descriptionJP": "「キヴォトス中の生徒が最も欲しい電子機器TOP3」に入る有名ノートパソコン。かなりの高級品。欲しい!でもやっぱ高い!",
    "iconUrl": "https://ba.cdn.nimblebun.works/v2/images/items/item_icon_favor_lv2_5.webp"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc